<?php
include('config.php');
if($_SERVER["REQUEST_METHOD"] == "POST")
{   
    $ID = $_POST["ID"];
    $topic = $_POST["topic"];
    $instructions = $_POST["instructions"];
    $due_date = $_POST['due_date'];
    $converted_due_date = date("m-d-Y", strtotime($due_date));
    $due_time = $_POST["due_time"];
    $converted_due_time = date("h:i A", strtotime($due_time));
    $link = $_POST["link"];

    if($converted_due_date == "01-01-1970" || $converted_due_date == ""){
        $converted_due_date = "None";
        $converted_due_time = "None";
    }
    if($instructions == ""){
        $instructions = "None";
    }

    // Get the current time adn date
    date_default_timezone_set('Asia/Manila');
    $date = date("m-d-Y");
    $time = date("h:i A");
    
    $sql = "UPDATE evaluations SET `Topic`='$topic', `Instructions`='$instructions', `Link`='$link', `Due_Date`='$converted_due_date', `Due_Time`='$converted_due_time', `Date_Posted`='$date', `Time_Posted`='$time' WHERE ID='$ID'";
        if (mysqli_query($db, $sql)){
            echo '<script>alert("Updated successfully!");</script>';
            echo '<script>document.location = "evaluations.php"</script>';
        }else{
            echo mysqli_error($db);
        }
    
}
?>